> For the complete documentation index, see [llms.txt](https://docs.kredibel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kredibel.io/api-references/account-screening/email-address.md).

# Email Address

## Endpoints

| Method | URL                                  |
| ------ | ------------------------------------ |
| POST   | `$synapses`**/v1/account/screening** |

### Headers

| Header          | Value                                           |
| --------------- | ----------------------------------------------- |
| `Content-Type`  | `application/json`                              |
| `Authorization` | `Bearer` [`YOUR_API_KEY`](/authentication-1.md) |

### **Request**

{% tabs %}
{% tab title="Description" %}

| Field                                                              | Type                                                                    | Description                                        |
| ------------------------------------------------------------------ | ----------------------------------------------------------------------- | -------------------------------------------------- |
| <p>emailAddress</p><p><strong><code>(required)</code></strong></p> | <p><code>String</code> </p><p><strong><code>(Email)</code></strong></p> | Email address used for transaction                 |
| verifyEmail                                                        | `Boolean`                                                               | If true, system will verify email address validity |
| {% endtab %}                                                       |                                                                         |                                                    |

{% tab title="Example" %}

```
{
	  "emailAddress": "contoh@gmail.com",
    "verifyEmail": true
}
```

{% endtab %}
{% endtabs %}

### **Response**

{% tabs %}
{% tab title="Description" %}

| Field               | Type                                                                                                        | Description                                                                                                                                                                                                                                                                                                                                                 |
| ------------------- | ----------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| fullName&#xD;       | `String`&#xD;                                                                                               | Full name                                                                                                                                                                                                                                                                                                                                                   |
| emailAddress        | `String`&#xD;                                                                                               | Email address                                                                                                                                                                                                                                                                                                                                               |
| validity            | <p><code>String</code> </p><p><strong><code>\["valid", "risky", "invalid", "not\_sure"]</code></strong></p> | <p><strong><code>valid</code></strong>: Email address is exist and its safe to send mail</p><p><strong><code>risky</code></strong>: Email address is exist but its risky to send mail</p><p><strong><code>invalid</code></strong>: Email address not exist</p><p><strong><code>not\_sure</code></strong>: Our system failed to verify the email address</p> |
| isDisposable        | `Boolean`                                                                                                   | Define whether the email is disposable                                                                                                                                                                                                                                                                                                                      |
| smtp.isConnected    | `Boolean`                                                                                                   | Define can we connected to the domain of the email?                                                                                                                                                                                                                                                                                                         |
| smtp.isFull         | `Boolean`                                                                                                   | Define whether the email address mailbox is full                                                                                                                                                                                                                                                                                                            |
| smtp.isDeliverable  | `Boolean`                                                                                                   | Define whether an email sent to this address is deliverable                                                                                                                                                                                                                                                                                                 |
| smtp.records        | `List`                                                                                                      | MX records of the email address                                                                                                                                                                                                                                                                                                                             |
| images              | `List`                                                                                                      | Images of the email                                                                                                                                                                                                                                                                                                                                         |
| breaches            | `List`                                                                                                      | Is the email appear in the breach list                                                                                                                                                                                                                                                                                                                      |
| isPrivateHost       | `Boolean`                                                                                                   | Return true when it's a private email address (e.g. @google.com)                                                                                                                                                                                                                                                                                            |
| isPublicHost&#xD;   | `Boolean`                                                                                                   | Return true when it’s a public email address (e.g. @gmail.com)&#xD;                                                                                                                                                                                                                                                                                         |
| isHighRiskHost&#xD; | `Boolean`                                                                                                   | Return true when it’s a high risk email host (e.g. @gmail.my.id)&#xD;                                                                                                                                                                                                                                                                                       |
| isWhitelist&#xD;    | `Boolean`                                                                                                   | Define whether you have whitelisted this account number or not&#xD;                                                                                                                                                                                                                                                                                         |
| isBlacklist&#xD;    | `Boolean`                                                                                                   | Define whether you have blacklisted this account number or not                                                                                                                                                                                                                                                                                              |
| score               | `Float`&#xD;                                                                                                | Total accumulated credibility score of the Email Address                                                                                                                                                                                                                                                                                                    |
| {% endtab %}        |                                                                                                             |                                                                                                                                                                                                                                                                                                                                                             |

{% tab title="Example" %}

```
{
    "message": "Account Screening - Single.",
    "data": {
        "id": "49220c90-d83d-4c12-8fbc-55527bbcf40a",
        "score": 0,
        "status": "pass",
        "emailDetails": {
            "fullName": null,
            "emailAddress": "contoh@gmail.com",
            "validity": "valid",
            "isDisposable": false,
            "smtp": {
                "isConnected": true,
                "isFull": false,
                "isDeliverable": true,
                "records": [
                    "alt2.gmail-smtp-in.l.google.com.",
                    "alt1.gmail-smtp-in.l.google.com.",
                    "gmail-smtp-in.l.google.com.",
                    "alt3.gmail-smtp-in.l.google.com.",
                    "alt4.gmail-smtp-in.l.google.com."
                ]
            },
            "images": [],
            "breaches": [
                {
                    "name": "Bukalapak"
                },
                {
                    "name": "Cit0day"
                },
                {
                    "name": "Collection1"
                },
                {
                    "name": "Dailymotion"
                },
                {
                    "name": "Dropbox"
                },
                {
                    "name": "Edmodo"
                },
                {
                    "name": "Leet"
                },
                {
                    "name": "Lifeboat"
                },
                {
                    "name": "Nitro"
                },
                {
                    "name": "ShopBack"
                },
                {
                    "name": "Tamodo"
                },
                {
                    "name": "Tokopedia"
                },
                {
                    "name": "Wattpad"
                }
            ],
            "isBreached": true,
            "isPrivateHost": false,
            "isPublicHost": true,
            "isHighRiskHost": false,
            "isBlacklist": false,
            "isWhitelist": false,
            "score": 0
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kredibel.io/api-references/account-screening/email-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
